Discover Government News

SUSE Container Update Advisory: suse/pcp
-----------------------------------------------------------------
Container Advisory ID : SUSE-CU-2023:2786-1
Container Tags        : suse/pcp:5 , suse/pcp:5-13.40 , suse/pcp:5.2 , suse/pcp:5.2-13.40 , suse/pcp:5.2.5 , suse/pcp:5.2.5-13.40 , suse/pcp:latest
Container Release     : 13.40
Severity              : moderate
Type                  : security
References            : 1186606 1194609 1201519 1204844 1208194 1209741 1210702 1211576
                        1212434 1213185 1213575 1213873 1214025 1214071 CVE-2023-4156
-----------------------------------------------------------------

The container suse/pcp was updated. The following patches have been included in this update:

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2023:3410-1
Released:    Thu Aug 24 06:56:32 2023
Summary:     Recommended update for audit
Type:        recommended
Severity:    moderate
References:  1201519,1204844
This update for audit fixes the following issues:

- Create symbolic link from /sbin/audisp-syslog to /usr/sbin/audisp-syslog (bsc#1201519)
- Fix rules not loaded when restarting auditd.service (bsc#1204844)

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2023:3440-1
Released:    Mon Aug 28 08:57:10 2023
Summary:     Security update for gawk
Type:        security
Severity:    low
References:  1214025,CVE-2023-4156
This update for gawk fixes the following issues:

- CVE-2023-4156: Fix a heap out of bound read by validating the index into argument list. (bsc#1214025)

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2023:3451-1
Released:    Mon Aug 28 12:15:22 2023
Summary:     Recommended update for systemd
Type:        recommended
Severity:    moderate
References:  1186606,1194609,1208194,1209741,1210702,1211576,1212434,1213185,1213575,1213873
This update for systemd fixes the following issues:

- Fix reboot and shutdown issues by getting only active MD arrays (bsc#1211576, bsc#1212434, bsc#1213575)
- Decrease devlink priority for iso disks (bsc#1213185)
- Do not ignore mount point paths longer than 255 characters (bsc#1208194)
- Refuse hibernation if there's no possible way to resume (bsc#1186606)
- Update 'korean' and 'arabic' keyboard layouts (bsc#1210702)
- Drop some entries no longer needed by YaST (bsc#1194609)
- The 'systemd --user' instances get their own session keyring instead of the user default one (bsc#1209741)
- Dynamically allocate receive buffer to handle large amount of mounts (bsc#1213873)

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2023:3485-1
Released:    Tue Aug 29 14:20:56 2023
Summary:     Recommended update for lvm2
Type:        recommended
Severity:    moderate
References:  1214071
This update for lvm2 fixes the following issues:

- blkdeactivate calls wrong mountpoint cmd (bsc#1214071)


The following package changes have been done:

- libudev1-249.16-150400.8.33.1 updated
- libaudit1-3.0.6-150400.4.13.1 updated
- libsystemd0-249.16-150400.8.33.1 updated
- libdevmapper1_03-2.03.16_1.02.185-150500.7.6.1 updated
- systemd-249.16-150400.8.33.1 updated
- gawk-4.2.1-150000.3.3.1 updated
- container:bci-bci-init-15.5-15.5-8.51 updated

SUSE: 2023:2786-1 suse/pcp Security Update

August 31, 2023
The container suse/pcp was updated

Summary

Advisory ID: SUSE-RU-2023:3410-1 Released: Thu Aug 24 06:56:32 2023 Summary: Recommended update for audit Type: recommended Severity: moderate Advisory ID: SUSE-SU-2023:3440-1 Released: Mon Aug 28 08:57:10 2023 Summary: Security update for gawk Type: security Severity: low Advisory ID: SUSE-RU-2023:3451-1 Released: Mon Aug 28 12:15:22 2023 Summary: Recommended update for systemd Type: recommended Severity: moderate Advisory ID: SUSE-RU-2023:3485-1 Released: Tue Aug 29 14:20:56 2023 Summary: Recommended update for lvm2 Type: recommended Severity: moderate

References

References : 1186606 1194609 1201519 1204844 1208194 1209741 1210702 1211576

1212434 1213185 1213575 1213873 1214025 1214071 CVE-2023-4156

1201519,1204844

This update for audit fixes the following issues:

- Create symbolic link from /sbin/audisp-syslog to /usr/sbin/audisp-syslog (bsc#1201519)

- Fix rules not loaded when restarting auditd.service (bsc#1204844)

1214025,CVE-2023-4156

This update for gawk fixes the following issues:

- CVE-2023-4156: Fix a heap out of bound read by validating the index into argument list. (bsc#1214025)

1186606,1194609,1208194,1209741,1210702,1211576,1212434,1213185,1213575,1213873

This update for systemd fixes the following issues:

- Fix reboot and shutdown issues by getting only active MD arrays (bsc#1211576, bsc#1212434, bsc#1213575)

- Decrease devlink priority for iso disks (bsc#1213185)

- Do not ignore mount point paths longer than 255 characters (bsc#1208194)

- Refuse hibernation if there's no possible way to resume (bsc#1186606)

- Update 'korean' and 'arabic' keyboard layouts (bsc#1210702)

- Drop some entries no longer needed by YaST (bsc#1194609)

- The 'systemd --user' instances get their own session keyring instead of the user default one (bsc#1209741)

- Dynamically allocate receive buffer to handle large amount of mounts (bsc#1213873)

1214071

This update for lvm2 fixes the following issues:

- blkdeactivate calls wrong mountpoint cmd (bsc#1214071)

The following package changes have been done:

- libudev1-249.16-150400.8.33.1 updated

- libaudit1-3.0.6-150400.4.13.1 updated

- libsystemd0-249.16-150400.8.33.1 updated

- libdevmapper1_03-2.03.16_1.02.185-150500.7.6.1 updated

- systemd-249.16-150400.8.33.1 updated

- gawk-4.2.1-150000.3.3.1 updated

- container:bci-bci-init-15.5-15.5-8.51 updated

Severity
Container Advisory ID : SUSE-CU-2023:2786-1
Container Tags : suse/pcp:5 , suse/pcp:5-13.40 , suse/pcp:5.2 , suse/pcp:5.2-13.40 , suse/pcp:5.2.5 , suse/pcp:5.2.5-13.40 , suse/pcp:latest
Container Release : 13.40
Severity : moderate
Type : security

Related News